Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 479750 - media-gfx/fontypython-0.4.4 should depend on virtual/python-imaging instead of dev-python/imaging
Summary: media-gfx/fontypython-0.4.4 should depend on virtual/python-imaging instead o...
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Graphics Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-04 20:59 UTC by Dominique Michel
Modified: 2015-11-11 10:06 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Michel 2013-08-04 20:59:42 UTC
On my ~amd64 system, emerge world bail with

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (dev-python/pillow-2.0.0-r1::gentoo, installed) pulled in by
    dev-python/pillow[tk?,python_targets_python2_7(-)] (dev-python/pillow[python_targets_python2_7(-)]) required by (virtual/python-imaging-1::gentoo, installed)
    dev-python/pillow[tk?,python_targets_python3_2(-)] (dev-python/pillow[python_targets_python3_2(-)]) required by (virtual/python-imaging-1::gentoo, installed)

  (dev-python/imaging-1.1.7-r4::gentoo, ebuild scheduled for merge) pulled in by
    dev-python/imaging required by (media-gfx/fontypython-0.4.4::gentoo, installed)


Reproducible: Always

Steps to Reproduce:
1. emerge -a --update --newuse --deep --with-bdeps y world
2.
3.
Actual Results:  
emerge fail
Comment 1 JTRiley 2013-08-18 18:53:35 UTC
Updated ebuild in my overlay fixes this bug, 457150, and 471524.

http://git.overlays.gentoo.org/gitweb/?p=user/jtriley.git;a=commit;h=ac00f35d0ef2ce867611a80e8695f03ed41dfe09
Comment 2 Justin Lecher gentoo-dev 2015-11-11 10:06:10 UTC
commit 581ffe810c1c7f40300a1cb969ac824d8de48cfb
Author: Justin Lecher <jlec@gentoo.org>
Date:   Wed Nov 11 11:00:57 2015 +0100
    
    Drop dev-python/imaging
    
    Package superceeded by dev-python/pillow and vulnerable
    for CVE-2014-{1932,1933}
    
    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=507982
    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=508266
    
    obsoletes:
    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=452468
    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=479750
    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=536408
    
    Signed-off-by: Justin Lecher <jlec@gentoo.org>
    
    https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=581ffe810c1c7f40300a1cb969ac824d8de48cfb